package com.sheep.gamegroup.util;

import android.support.v4.app.Fragment;

import com.sheep.gamegroup.view.fragment.FgtAskGetMoney;
import com.sheep.gamegroup.view.fragment.FgtGameCenter;
import com.sheep.gamegroup.view.fragment.FgtNull;
import com.sheep.gamegroup.view.fragment.FgtPersonalCenter;
import com.sheep.gamegroup.view.fragment.FgtSmallSheep;
import com.sheep.gamegroup.view.fragment.FgtMainAudit;
import com.sheep.jiuyan.samllsheep.R;

/**
 * Created by realicing on 2018/1/4.
 * realicing@sina.com
 */

public enum MainTab {
    FgtSmallSheep(R.string.main_tab_make_money) {
        @Override
        public Fragment getFragment() {
            return new FgtSmallSheep();
        }
        @Override
        public int getDrawableId() {
            return R.drawable.drawable_selector_task;
        }
    },
//    FgtMainAudit(R.string.main_tab_audit) {
//        @Override
//        public Fragment getFragment() {
//            return new FgtMainAudit();
//        }
//
//        @Override
//        public int getDrawableId() {
//            return R.drawable.drawable_selector_audit;
//        }
//    },
    FgtGameCenter(R.string.tab_viewpager_gamestore) {
        @Override
        public Fragment getFragment() {
            return new FgtGameCenter();
        }

        @Override
        public int getDrawableId() {
            return R.drawable.drawable_selector_game_center;
        }
    },
    FgtMainAskGetMoney(R.string.main_tab_invite) {
        @Override
        public Fragment getFragment() {
            return new FgtAskGetMoney();
        }

        @Override
        public int getDrawableId() {
            return R.drawable.drawable_selector_askgetmoney;
        }
    },
    Fgt_Find(R.string.main_tab_find) {
        @Override
        public Fragment getFragment() {
            return new FgtNull();
        }

        @Override
        public int getDrawableId() {
            return R.drawable.drawable_selector_find;
        }
    },
    FgtPersonnalCenter(R.string.personal_center) {
        @Override
        public Fragment getFragment() {
            return new FgtPersonalCenter();
        }

        @Override
        public int getDrawableId() {
            return R.drawable.drawable_selector_personalcenter;
        }
    }
//    ,
    //    Bp(R.string.tab_viewpager_borrowplay) {
//        @Override
//        public Fragment getFragment() {
//            return new FgtBorrowPlay();
//        }
//
//        @Override
//        public int getDrawableId() {
//            return R.drawable.drawable_selector_bp;
//        }
//    },
    ;
    private int stringId;

    MainTab(int stringId) {
        this.stringId = stringId;
    }

    public abstract Fragment getFragment();


    public int getStringId() {
        return stringId;
    }

    public abstract int getDrawableId();
}
